Subject: Re: bug#54369: 28.0.92; [PATCH] Fix negated argument predicates in Eshell

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 13 Mar 2022 15:38:09 +0100

Jim Porter <[email-masked]> writes:

> I think this is due to the lexical binding change in 28. Attached is a
> patch to fix this. No unit tests right now, but I'm working on a patch
> for 29 with full unit tests for Eshell globs and argument
> predicates/modifiers. (I pulled this bit out of my branch for that,
> since it's a regression that should probably get fixed in 28.)

Yup.  Pushed to emacs-28 now.

> Regarding the patch itself, I'm not sure if there's a cleaner way to
> do this; it feels like there should be, but this is the only way I
> could think of off-hand to fix it.

It looks like the most obvious minimal way to fix this to me.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no